service:
  name: hello-world

frameworkVersion: '1'

provider:
  name: cloudflare
  config:
    accountId: CLOUDFLARE_ACCOUNT_ID
    zoneId: CLOUDFLARE_ZONE_ID

plugins:
  - serverless-cloudflare-workers

custom:
  domain: example.com

functions:
  hello:
    name: hello
    webpack: webpack.config.js
    script: helloWorld
    events:
      - http:
          url: ${self:custom.domain}/hello/*
          method: GET

    resources:
      wasm:
        - variable: WASM
          file: rust-wasm/pkg/rust_wasm_bg.wasm
